//Homework 8
//Carlos Rios
//Collaboration Statement: I worked on this homework problem using outside internet sources.

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

/**
* Square implements one square for "The Game of Life". The
* square is blue when it is active and white when it is not active.
*
* @author Carlos Rios
* @version 1.0
*/
public class Square extends JPanel
{
	/** 
	* active contains the state of the square 
	*/
	boolean active= false;
	
	/** 
	* squareColor is the current color of the square, 
	* color is blue when the square is active 
	*/
	Color squareColor = Color.white;
	
   /**
   * the Square constructor initializes the color of the square to white and paints a blue border around the square.
   */
	public  Square()
	{ setBackground(squareColor);
	  setBorder(BorderFactory.createLineBorder(Color.blue,1));
	}
	
   /**
   * setState sets the isActive state to true or false. 
   * @param isActive True if the cell is active 
   */
	public void setState(boolean isActive)
	{
	
		if(isActive)
		{	squareColor=Color.blue;
			setBackground(squareColor);
			active=true;
		}
		else
		{	squareColor=Color.white;
			setBackground(squareColor);
			active=false;
		}
	}
 
   /**
   * getState returns the state of the cell.
   * @return a boolean - true if the cell is active
   */
	public boolean getState()
	{
		return active;
		
	}
		
}

